Bug 5885 - swat prints a bogus ip-address in smb.conf
swat prints a bogus ip-address in smb.conf
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: SWAT
3.2.4
Other Solaris
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 07:51 UTC by B Kottink
Modified: 2010-02-08 09:17 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 3.4 (715 bytes, patch)
2009-12-06 14:09 UTC, Volker Lendecke
obnox: review+
Details
Patch for 3.3 (710 bytes, patch)
2009-12-06 14:16 UTC, Volker Lendecke
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description B Kottink 2008-11-10 07:51:10 UTC
The function cgi_remote_addr allocates memory space from its stack and returning a pointer to it, which is used to print the remote ip-address in smb.conf. The addr array probably has to be assigned static.
Comment 1 Volker Lendecke 2009-12-06 14:09:25 UTC
Created attachment 5058 [details]
Patch for 3.4
Comment 2 Volker Lendecke 2009-12-06 14:16:57 UTC
Created attachment 5059 [details]
Patch for 3.3

That should fix it.

Thanks for the bug report!

Volker
Comment 3 Michael Adam 2010-02-08 02:44:27 UTC
Comment on attachment 5058 [details]
Patch for 3.4

sorry for the late review.
this is needed
Comment 4 Michael Adam 2010-02-08 02:44:46 UTC
Comment on attachment 5059 [details]
Patch for 3.3

sorry for the late review.
this is needed.
Comment 5 Michael Adam 2010-02-08 02:45:42 UTC
assigning to Karolin.
Please pick for the next releases.
Comment 6 Karolin Seeger 2010-02-08 09:16:39 UTC
Pushed to v3-4-test and v3-3-test (already fixed in v3-5-test).
Closing out bug report.

Thanks!
Comment 7 Karolin Seeger 2010-02-08 09:17:30 UTC
Now really close out bug report... ;-)